# Human-readable document in YAML for "target" records
# Verify using: yamlint doc.yaml

doc:
  title: Writing documentation in YAML
  author: Mike Taylor
  date: 2 November 2012
  section1:
    title: Introduction
    text: >
      Everyone who has ever written documentation in XML knows there
      has to be a better way as a metaformat it's a disaster: ugly,
      clumsy, verbose, complex. Could YAML be used instead?
  section2:
    title: Anatomy of a YAML document
    text: >
      The top-level element is "doc". This contains a "title",
      "author" and "date" (all of them simple text) and one or more
      "section*" elements, numbers consecutively. Each section has a
      "title" and some "text".
  section3:
    title: Processing YAML to human-readable form
    text: >
      Use the "yaml2html" program.

# Settings for editing this file with GNU Emacs:
# Local variables:
# mode: yaml
# indent-tabs-mode: nil
# End:
